#====START_GENERATED_PROLOG======================================
#
#
#   COMPONENT_NAME: odscriptableparts
#
#   CLASSES: none
#
#   ORIGINS: 82,27
#
#
#   (C) COPYRIGHT International Business Machines Corp. 1995,1996
#   All Rights Reserved
#   Licensed Materials - Property of IBM
#   US Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#   	
#   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
#   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
#   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
#   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
#   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
#   OR PERFORMANCE OF THIS SOFTWARE.
#
#====END_GENERATED_PROLOG========================================
#
# @(#) 1.2 nt/src/samples/scrsimp2/makefile.mak, odsimplescript, od96nt, odnt9712d 2/27/97 09:31:44 [3/21/97 17:46:59]
#

# If you wish to add to the existing compile and link flags, you can
# do it with these macros

ExtraSOMCompileOptions =

ExtraCompileOptions =

ExtraLinkOptions =


# ===================================================================
# Subdirectories you want nmake to visit
#Subdirs =


# ===================================================================
# Targets

# IdlTargets = List all the idls
# HdrTargets = List all the C++ headers
# MsgTargets = List all the message catalogs
# LibTargets = List all export libraries to be built
# DllTargets = List all shared libraries to be built
#
# The Reg* and File*  macros are used to generate a table of contents
# and an install package


IdlTargets = iodscrs2.idl iodspex2.idl iodspevt.idl iodsppr2.idl

RcTargets = iodscrs2.rc

HdrTargets = iodscrs2.h iodspcl2.h

MsgTargets =

LibTargets = $(ODSRC)/lib/iodscrs2.$(LibSuffix)

DllTargets = $(ODSRC)/dll/iodscrs2.dll

CtypelibIDL=iodsppr2.idl
CtypelibDir=$(ODSRC)/src/scrsimp2
CtypelibCmdLineArgsFile=iodscrs2.cin

RegMain=iodscrs2.dll
RegIDL=$(IdlTargets)
RegClassName=ScriptableSimplePart2
RegKind=ScriptableSimplePart2
FilesDlls=iodscrs2.dll
FilesIncs=$(IdlTargets) $(IdlTargets:.idl=.xh) $(HdrTargets)
FilesLibs=iodscrs2.$(LibSuffix)
FilesCats=
FilesStationery=
FilesTypeLibs=iodsppr2.tlb

# ===================================================================
# Common Inference Rules

# Platform.mak contains all the platform specific code to build the
# sample. Check it to verify which compiler the sample is using.

!include $(ODSRC)/src/Platform.mak


# ===================================================================
# Rules

ScrSimplprtObjList = iodscrs2.$(Obj) iodspex2.$(Obj) iodsppr2.$(Obj)

iodscrs2.$(Obj) : iodscrs2.cpp iodscrs2.xih iodscrs2.h

iodspex2.$(Obj) : iodspex2.cpp iodspex2.xih

iodsppr2.$(Obj) : iodsppr2.cpp iodsppr2.xih

ScrSimplprtLibList = \
!IF "$(Platform)"=="win32"
        {$(LIB)}msgdll.$(LibSuffix) \
!ENDIF
        {$(LIB)}somtk.$(LibSuffix) \
        {$(LIB)}iodutils.$(LibSuffix) \
        {$(LIB)}oddsscr.$(LibSuffix) \
        {$(LIB)}oddsevnt.$(LibSuffix) \
        {$(LIB)}odimagng.$(LibSuffix) \
        {$(LIB)}odui.$(LibSuffix) \
        {$(LIB)}odlayout.$(LibSuffix) \
        {$(LIB)}odcore.$(LibSuffix) \
        {$(LIB)}odstorag.$(LibSuffix) \
        {$(LIB)}iodsimpl.$(LibSuffix)


$(ODSRC)/dll/iodscrs2.dll :  $(ODSRC)/lib/iodscrs2.$(Exp) \
        $(ScrSimplprtLibList) \
        $(ScrSimplprtObjList)
        @$(BuildDllWithRes) "RecFile=iodscrs2.res" BuildDllRule

$(ODSRC)/lib/iodscrs2.$(Def) :  iodscrs2.$(Def)
        @$(BuildCopy)


$(ODSRC)/lib/iodscrs2.$(LibSuffix) : \
!IFDEF CPPMAIN
        $(ODSRC)/lib/iodscrs2.$(Def) \
!ENDIF
        $(ScrSimplprtObjList)
        @$(BuildLib)

# end of file
